Submits Leave Details Form

Overview

Submits Leave Details Form to the business.

Authentication

Available for Client Tokens only.

Required Fields

Before submitting, call GET /client_api/v1/portals/{business_uid}/contact/get_form to discover required fields for the business's form configuration.

For the default leave_details form, subject and message are typically required fields. Any field marked with required: true in the form response must be provided with a non-empty value, or the API returns HTTP 422.

Request Body Structure

The form_data.fields object is a dynamic map where keys are field IDs and values are the field values. Field IDs can be obtained from the GET form response.

Path Params
string
required

business_uid

Body Params
form_data
object
required

Form data containing field values. This is an object (NOT an array) with a 'fields' property.

source_data
object
Responses

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json